#include <stdio.h>
#include <unistd.h>
#include "sg_lgpio.h"

/****************************
Relay    Raspberry Pi
      VCC   --->   3.3V
      GND   --->   GND
      CH1   --->   D6
      CH2   --->   D13
      CH3   --->   D19
      CH4   --->   D26
      CH5   --->   D12
      CH6   --->   D16
			CH7   --->   D20
      CH8   --->   D21

*****************************/
//define pin conection in BCM number
#define PIN_CH1     6
#define PIN_CH2     13
#define PIN_CH3     19
#define PIN_CH4     26
#define PIN_CH5     12
#define PIN_CH6     16
#define PIN_CH7     20
#define PIN_CH8     21
int main(void)
{
    Lgpio_export(); 
    Lgpio_set_pinmode(PIN_CH1,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH1,LGPIO_HIGH);
    Lgpio_set_pinmode(PIN_CH2,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH2,LGPIO_HIGH);
    Lgpio_set_pinmode(PIN_CH3,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH3,LGPIO_HIGH);	
	  Lgpio_set_pinmode(PIN_CH4,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH4,LGPIO_HIGH);
    Lgpio_set_pinmode(PIN_CH5,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH5,LGPIO_HIGH);
    Lgpio_set_pinmode(PIN_CH6,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH6,LGPIO_HIGH);
	  Lgpio_set_pinmode(PIN_CH7,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH7,LGPIO_HIGH);
    Lgpio_set_pinmode(PIN_CH8,LGPIO_OUTPUT);
    Lgpio_write_pin(PIN_CH8,LGPIO_HIGH);
	while(1)
	{
		Lgpio_write_pin(PIN_CH8,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH1,LGPIO_LOW);
		delay(1000); //1s			
		Lgpio_write_pin(PIN_CH1,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH2,LGPIO_LOW);
		delay(1000); //1s
		Lgpio_write_pin(PIN_CH2,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH3,LGPIO_LOW);
		delay(1000); //1s
		Lgpio_write_pin(PIN_CH3,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH4,LGPIO_LOW);
		delay(1000); //1s			
		Lgpio_write_pin(PIN_CH4,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH5,LGPIO_LOW);
		delay(1000); //1s
		Lgpio_write_pin(PIN_CH5,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH6,LGPIO_LOW);
		delay(1000); //1s
		Lgpio_write_pin(PIN_CH6,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH7,LGPIO_LOW);
		delay(1000); //1s			
		Lgpio_write_pin(PIN_CH7,LGPIO_HIGH);
		Lgpio_write_pin(PIN_CH8,LGPIO_LOW);
		delay(1000); //1s

	}
}	


